MozillaZine

Addon couldn't be installed because it appears to be corrupt

User Help for Mozilla Firefox
ashanta
 
Posts: 218
Joined: August 26th, 2009, 5:39 am

Post Posted June 9th, 2019, 4:05 am

Hi,

I tried to install Trace add-on and I also tried another add-on on yesterday, and I got the same error when installing manually (File, Open file) the xpi from Mozilla add-ons website

"This Add-on could not be installed because it appears to be corrupt"

I tried manually because I couldn't install it directly from Mozilla website.

siffemoz
 
Posts: 151
Joined: January 29th, 2016, 4:36 pm

Post Posted June 9th, 2019, 12:45 pm

Which version of FF are you using?

jscher2000

User avatar
 
Posts: 10743
Joined: December 19th, 2004, 12:26 am
Location: Silicon Valley, CA USA

Post Posted June 9th, 2019, 1:16 pm

Your Firefox self-identified as version 51 which, as you may know, needs a new certificate installed to verify extension signatures.

https://www.jeffersonscher.com/ffu/armagadd-on_2_0.html

therube

User avatar
 
Posts: 20061
Joined: March 10th, 2004, 9:59 pm
Location: Maryland USA

Post Posted June 10th, 2019, 6:18 am

Additionally, Mozilla no longer has any "Legacy" extensions, only "webextensions", & FF 51 does not support webextensions.

https://legacycollector.org/ or https://addons.thunderbird.net/en-US/thunderbird/ or https://github.com/JustOff/ca-archive/releases
Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.19) Gecko/20110420 SeaMonkey/2.0.14 Pinball CopyURL+ FetchTextURL FlashGot NoScript

Brummelchen
 
Posts: 4600
Joined: March 19th, 2005, 10:51 am

Post Posted June 10th, 2019, 7:46 am

webextensions are usable since firefox 48, but limited. the concerning xpi either dont contain signing or something within the profile is wrong. about v51 - is there a hotfix for it available concerning the latest cert issue? no hotfix - no signing check - no install.

ashanta
 
Posts: 218
Joined: August 26th, 2009, 5:39 am

Post Posted June 10th, 2019, 5:48 pm

@Brummelchen
I installed the Hotfix and i could install it this time but it doesn't work with Trace add-ons and others from my FF51 even though this add-on is working from FF48.

@therube
Can I install Thunderbird add-ons in Firefox ?

@jscher2000
I installed the Hotfix add-on

ashanta
 
Posts: 218
Joined: August 26th, 2009, 5:39 am

Post Posted June 10th, 2019, 6:19 pm

I could install it to my portable FF53 but I still can't with my no-portable FF51. I don't know for which reasons.
What has been the majors changes since the new lastest add-ons (after 4 May 2019) ? I know about the certificate Mozilla, but what else more if you compare with old add-ons ?

dickvl

User avatar
 
Posts: 52840
Joined: July 18th, 2005, 3:25 am

Post Posted June 11th, 2019, 3:55 pm

Actually Firefox 42 supports WebExtensions:

Cookie Manager https://addons.mozilla.org/en-US/firefo ... /versions/
Works with firefox 42.0 and later, android 48.0 and later

Note that security (AV) software can cause XPI (ZIP) files to get corrupted.

Return to Firefox Support


Who is online

Users browsing this forum: Bing [Bot], Google [Bot] and 10 guests